--
-- c_show_ammo.lua
--

addEvent( "onClientGotAmmoNumbers", true )
addEventHandler( "onClientGotAmmoNumbers", resourceRoot,
	function( info )
		sinfo = info
	end
)

addEventHandler( "onClientRender", root,
	function()
		local cinfo = getAmmoNumbers(localPlayer)
		drawAmmoNumbers("Client",cinfo, 100, 200, tocolor(192,192,255) )
		drawAmmoNumbers("Server",sinfo, 400, 200, tocolor(255,128,128) )
		dxDrawText( "Press 0-9 to get +2 ammo on that slot", 10, 180 )
	end
)

slotNames = { 
    "UNARMED",
    "MELEE",
    "HANDGUN",
    "SHOTGUN",
    "SMG",
    "RIFLE",
    "SNIPER",
    "HEAVY",
    "THROWN",
    "SPECIAL",
    "GIFT",
    "PARACHUTE",
    "DETONATOR",
	} 

function drawAmmoNumbers(side,info,x,y,color)
	if not info then return end
	dxDrawRectangle(x-98,y-5,290,223, tocolor(0,0,0,128))
	dxDrawText( side, x-90, y , x, y, color, 1, "default-bold" )
	dxDrawText( "Slot", x, y, x, y, color, 1, "default", "right" )
	dxDrawText( "Total", x+15, y, 0, 0, color )
	dxDrawText( "Clip", x+50, y, 0, 0, color )
	dxDrawText( "Weapon", x+80, y, 0, 0, color )
	y = y + 15
	for k,slot in ipairs(info.slot) do
		local slotId = k - 1
		local slotName = slotNames[k]
		local weaponId = slot.weapon
		local weaponName = getWeaponNameFromID(slot.weapon)

		local useColor = color
		if ( info.curslot == slotId ) then
			useColor = tocolor(255,255,255)
		end

		local msg = string.format( "%s-%d", slotName, slotId )
		dxDrawText( msg, x, y, x, y, useColor, 1, "default", "right" )
		dxDrawText( slot.total, x+15, y, x, y, useColor )
		dxDrawText( slot.clip, x+50, y, x, y, useColor )
		if weaponId ~= 0 then
			local msg = string.format( "[%d] %s", weaponId, weaponName )
			dxDrawText( msg, x+70, y, x, y, useColor, 1, "default", "left" )
		end

		y = y + 15
	end
end


function playerPressedKey(button, press)
    if (press) then
		if button >= "0" and button <= "9" then
			outputDebugString(button)
			triggerServerEvent("onPressKey", resourceRoot, button)
		end
    end
end
addEventHandler("onClientKey", root, playerPressedKey)
